package cz.moneta.test.dsl.mwf;

import cz.moneta.test.harness.support.mwf.Parameter;

import java.util.Map;

public interface MWFJD6Response {

    @Parameter(name = "ACTION_LIST")
    String actionList();

    @Parameter(name = "ACTION_LIST_DEFAULT")
    String actionListDefault();

    @Parameter(name = "ACTIVE")
    Long active();

    @Parameter(name = "AUTOMATIC_CLOSE_TIME")
    Long automaticCloseTime();

    @Parameter(name = "DEFAULT_TAB")
    String defaultTab();

    @Parameter(name = "DOCUMENT_TYPE_ALLOWED")
    String documentTypeAllowed();

    @Parameter(name = "INVISIBLE_SYSTEMS")
    String invisibleSystems();

    @Parameter(name = "SET_REQUESTED_DATE_FOR_ESCALATION")
    String setRequestedDateForEscalation();

    @Parameter(name = "SLA_CALENDAR_TYPE")
    String slaCalendarType();

    @Parameter(name = "SLA_IN_DAYS")
    Long slaInDays();

    @Parameter(name = "SLA_IN_MINUTES")
    Long slaInMinutes();

    @Parameter(name = "SOURCE_EMAIL")
    String sourceEmail();

    @Parameter(name = "SPECIAL_ACTION_VISIBILITY")
    String specialActionVisibility();

    @Parameter(name = "STANDARD_ACTION_INVISIBILITY")
    String standardActionInvisibility();

    @Parameter(name = "TASKID")
    Long taskid();

    @Parameter(name = "TASKNAME")
    String taskname();

    @Parameter(name = "TASK_HELP")
    String taskHelp();

    @Parameter(name = "TASK_SOLUTION_TEMPLATE")
    String taskSolutionTemplate();

    @Parameter(name = "TASK_SPECIFICS")
    String taskSpecifics();

    @Parameter(name = "VERIFICATION")
    Long verification();

    @Parameter(name = "VERIFYINGTIME")
    Long verifyingtime();

    @Parameter(name = "VERYFYING_TEAMS")
    String veryfyingTeams();

    @Parameter(name = "WORKING_HOURS_FROM")
    Long workingHoursFrom();

    @Parameter(name = "WORKING_HOURS_TO")
    Long workingHoursTo();

}